Home
Support Forums

Failed deployment - help

Hi,

I am having issues deploying my site. Any help would be great. Thank you.

10:48:00 PM: Build ready to start
10:48:02 PM: build-image version: 2cee85eb7f808bf3b6e87378c5307f9411f0a332
10:48:02 PM: build-image tag: v3.8.0
10:48:02 PM: buildbot version: b7aeb2675f82192daa8545b22bebab9c3b179d0e
10:48:02 PM: Fetching cached dependencies
10:48:02 PM: Failed to fetch cache, continuing with build
10:48:02 PM: Starting to prepare the repo for build
10:48:03 PM: No cached dependencies found. Cloning fresh repo
10:48:03 PM: git clone https://github.com/thaisont/my-portfolio
10:48:04 PM: Preparing Git Reference refs/heads/master
10:48:04 PM: Parsing package.json dependencies
10:48:05 PM: Different publish path detected, going to use the one specified in the Netlify configuration file: 'build' versus 'build/' in the Netlify UI
10:48:05 PM: Starting build script
10:48:05 PM: Installing dependencies
10:48:05 PM: Python version set to 2.7
10:48:06 PM: v12.18.0 is already installed.
10:48:07 PM: Now using node v12.18.0 (npm v6.14.4)
10:48:07 PM: Started restoring cached build plugins
10:48:07 PM: Finished restoring cached build plugins
10:48:07 PM: Attempting ruby version 2.7.1, read from environment
10:48:08 PM: Required ruby-2.7.1 is not installed - installing.
10:48:08 PM: Searching for binary rubies, this might take some time.
10:48:08 PM: Found remote file https://rvm_io.global.ssl.fastly.net/binaries/ubuntu/16.04/x86_64/ruby-2.7.1.tar.bz2
10:48:08 PM: Checking requirements for ubuntu.
10:48:09 PM: Requirements installation successful.
10:48:09 PM: ruby-2.7.1 - #configure
10:48:09 PM: ruby-2.7.1 - #download
10:48:10 PM: ruby-2.7.1 - #validate archive
10:48:15 PM: ruby-2.7.1 - #extract
10:48:17 PM: ruby-2.7.1 - #validate binary
10:48:18 PM: ruby-2.7.1 - #setup
10:48:18 PM: ruby-2.7.1 - #gemset created /opt/buildhome/.rvm/gems/ruby-2.7.1@global
10:48:18 PM: ruby-2.7.1 - #importing gemset /opt/buildhome/.rvm/gemsets/global.gems........................................
10:48:19 PM: ruby-2.7.1 - #generating global wrappers........
10:48:19 PM: ruby-2.7.1 - #gemset created /opt/buildhome/.rvm/gems/ruby-2.7.1
10:48:19 PM: ruby-2.7.1 - #importing gemsetfile /opt/buildhome/.rvm/gemsets/default.gems evaluated to empty gem list
10:48:20 PM: ruby-2.7.1 - #generating default wrappers........
10:48:20 PM: Using /opt/buildhome/.rvm/gems/ruby-2.7.1
10:48:20 PM: Using ruby version 2.7.1
10:48:21 PM: Using PHP version 5.6
10:48:21 PM: Started restoring cached node modules
10:48:21 PM: Finished restoring cached node modules
10:48:21 PM: Installing NPM modules using NPM version 6.14.4
10:49:35 PM: > yarn@1.22.10 preinstall /opt/build/repo/node_modules/netlify-cli/node_modules/yarn
10:49:35 PM: > :; (node ./preinstall.js > /dev/null 2>&1 || true)
10:49:45 PM: > husky@4.3.8 install /opt/build/repo/node_modules/netlify-cli/node_modules/husky
10:49:45 PM: > node husky install
10:49:45 PM: husky > Setting up git hooks
10:49:45 PM: CI detected, skipping Git hooks installation.
10:49:45 PM: husky > Done
10:49:47 PM: > @fortawesome/fontawesome-common-types@0.2.35 postinstall /opt/build/repo/node_modules/@fortawesome/fontawesome-common-types
10:49:47 PM: > node attribution.js
10:49:47 PM: Font Awesome Free 0.2.35 by @fontawesome - https://fontawesome.com
10:49:47 PM: License - https://fontawesome.com/license/free (Icons: CC BY 4.0, Fonts: SIL OFL 1.1, Code: MIT License)
10:49:47 PM: > core-js@2.6.12 postinstall /opt/build/repo/node_modules/babel-runtime/node_modules/core-js
10:49:47 PM: > node -e "try{require('./postinstall')}catch(e){}"
10:49:47 PM: > core-js@3.9.1 postinstall /opt/build/repo/node_modules/core-js
10:49:47 PM: > node -e "try{require('./postinstall')}catch(e){}"
10:49:47 PM: > core-js-pure@3.9.1 postinstall /opt/build/repo/node_modules/core-js-pure
10:49:47 PM: > node -e "try{require('./postinstall')}catch(e){}"
10:49:47 PM: > ejs@2.7.4 postinstall /opt/build/repo/node_modules/ejs
10:49:47 PM: > node ./postinstall.js
10:49:48 PM: > @netlify/esbuild@0.13.6 postinstall /opt/build/repo/node_modules/netlify-cli/node_modules/@netlify/esbuild
10:49:48 PM: > node install.js
10:49:50 PM: > aws-sdk@2.927.0 postinstall /opt/build/repo/node_modules/netlify-cli/node_modules/aws-sdk
10:49:50 PM: > node scripts/check-node-version.js
10:49:50 PM: > husky@4.3.8 postinstall /opt/build/repo/node_modules/netlify-cli/node_modules/husky
10:49:50 PM: > opencollective-postinstall || exit 0
10:49:52 PM: > @fortawesome/fontawesome-svg-core@1.2.35 postinstall /opt/build/repo/node_modules/@fortawesome/fontawesome-svg-core
10:49:52 PM: > node attribution.js
10:49:52 PM: Font Awesome Free 1.2.35 by @fontawesome - https://fontawesome.com
10:49:52 PM: License - https://fontawesome.com/license/free (Icons: CC BY 4.0, Fonts: SIL OFL 1.1, Code: MIT License)
10:49:52 PM: > @fortawesome/free-solid-svg-icons@5.15.3 postinstall /opt/build/repo/node_modules/@fortawesome/free-solid-svg-icons
10:49:52 PM: > node attribution.js
10:49:52 PM: Font Awesome Free 5.15.3 by @fontawesome - https://fontawesome.com
10:49:52 PM: License - https://fontawesome.com/license/free (Icons: CC BY 4.0, Fonts: SIL OFL 1.1, Code: MIT License)
10:49:52 PM: > netlify-cli@3.38.2 postinstall /opt/build/repo/node_modules/netlify-cli
10:49:52 PM: > node ./scripts/postinstall.js
10:49:52 PM: Success! Netlify CLI has been installed!
10:49:52 PM: Your device is now configured to use Netlify CLI to deploy and manage your Netlify sites.
10:49:52 PM: Next steps:
10:49:52 PM:   netlify init     Connect or create a Netlify site from current directory
10:49:52 PM:   netlify deploy   Deploy the latest changes to your Netlify site
10:49:52 PM: For more information on the CLI run netlify help
10:49:52 PM: Or visit the docs at https://cli.netlify.com
10:49:55 PM: npm WARN optional SKIPPING OPTIONAL DEPENDENCY: fsevents@1.2.13 (node_modules/webpack-dev-server/node_modules/fsevents):
10:49:55 PM: npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for fsevents@1.2.13: wanted {"os":"darwin","arch":"any"} (current: {"os":"linux","arch":"x64"})
10:49:55 PM: npm WARN optional SKIPPING OPTIONAL DEPENDENCY: fsevents@1.2.13 (node_modules/watchpack-chokidar2/node_modules/fsevents):
10:49:55 PM: npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for fsevents@1.2.13: wanted {"os":"darwin","arch":"any"} (current: {"os":"linux","arch":"x64"})
10:49:55 PM: npm WARN optional SKIPPING OPTIONAL DEPENDENCY: fsevents@2.3.2 (node_modules/netlify-cli/node_modules/fsevents):
10:49:55 PM: npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for fsevents@2.3.2: wanted {"os":"darwin","arch":"any"} (current: {"os":"linux","arch":"x64"})
10:49:55 PM: npm WARN optional SKIPPING OPTIONAL DEPENDENCY: @netlify/routing-local-proxy-win32-x64@0.30.1 (node_modules/netlify-cli/node_modules/@netlify/routing-local-proxy-win32-x64):
10:49:55 PM: npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for @netlify/routing-local-proxy-win32-x64@0.30.1: wanted {"os":"win32","arch":"x64"} (current: {"os":"linux","arch":"x64"})
10:49:55 PM: npm WARN optional SKIPPING OPTIONAL DEPENDENCY: @netlify/routing-local-proxy-darwin-x64@0.30.1 (node_modules/netlify-cli/node_modules/@netlify/routing-local-proxy-darwin-x64):
10:49:55 PM: npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for @netlify/routing-local-proxy-darwin-x64@0.30.1: wanted {"os":"darwin","arch":"x64"} (current: {"os":"linux","arch":"x64"})
10:49:55 PM: npm WARN optional SKIPPING OPTIONAL DEPENDENCY: @netlify/routing-local-proxy-darwin-arm64@0.30.1 (node_modules/netlify-cli/node_modules/@netlify/routing-local-proxy-darwin-arm64):
10:49:55 PM: npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for @netlify/routing-local-proxy-darwin-arm64@0.30.1: wanted {"os":"darwin","arch":"arm64"} (current: {"os":"linux","arch":"x64"})
10:49:55 PM: npm WARN optional SKIPPING OPTIONAL DEPENDENCY: fsevents@2.3.2 (node_modules/fsevents):
10:49:55 PM: npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for fsevents@2.3.2: wanted {"os":"darwin","arch":"any"} (current: {"os":"linux","arch":"x64"})
10:49:55 PM: added 4186 packages from 1520 contributors and audited 3693 packages in 93.597s
10:49:59 PM: 260 packages are looking for funding
10:49:59 PM:   run `npm fund` for details
10:49:59 PM: found 94 vulnerabilities (92 moderate, 2 high)
10:49:59 PM:   run `npm audit fix` to fix them, or `npm audit` for details
10:49:59 PM: NPM modules installed
10:49:59 PM: Started restoring cached go cache
10:49:59 PM: Finished restoring cached go cache
10:49:59 PM: go version go1.14.4 linux/amd64
10:49:59 PM: go version go1.14.4 linux/amd64
10:49:59 PM: Installing missing commands
10:49:59 PM: Verify run directory
10:50:00 PM: ​
10:50:00 PM: ────────────────────────────────────────────────────────────────
10:50:00 PM:   Netlify Build                                                 
10:50:00 PM: ────────────────────────────────────────────────────────────────
10:50:00 PM: ​
10:50:00 PM: ❯ Version
10:50:00 PM:   @netlify/build 12.26.0
10:50:00 PM: ​
10:50:00 PM: ❯ Flags
10:50:00 PM:   deployId: 60de381057a06f0007dcc4a0
10:50:00 PM: ​
10:50:00 PM: ❯ Current directory
10:50:00 PM:   /opt/build/repo
10:50:00 PM: ​
10:50:00 PM: ❯ Config file
10:50:00 PM:   No config file was defined: using default values.
10:50:00 PM: ​
10:50:00 PM: ❯ Context
10:50:00 PM:   production
10:50:00 PM: ​
10:50:00 PM: ────────────────────────────────────────────────────────────────
10:50:00 PM:   1. Build command from Netlify app                             
10:50:00 PM: ────────────────────────────────────────────────────────────────
10:50:00 PM: ​
10:50:00 PM: $ npm run build
10:50:00 PM: > my-portfolio@0.1.0 build /opt/build/repo
10:50:00 PM: > craco build
10:50:03 PM: Creating an optimized production build...
10:50:16 PM: Failed to compile.
10:50:16 PM: 
10:50:16 PM: ./src/index.css
10:50:16 PM: TypeError: Cannot convert undefined or null to object
10:50:16 PM:     at Function.entries (<anonymous>)
10:50:16 PM:     at Array.forEach (<anonymous>)
10:50:16 PM: npm ERR! code ELIFECYCLE
10:50:16 PM: npm ERR! errno 1
10:50:16 PM: npm ERR! my-portfolio@0.1.0 build: `craco build`
10:50:16 PM: npm ERR! Exit status 1
10:50:16 PM: npm ERR!
10:50:16 PM: npm ERR! Failed at the my-portfolio@0.1.0 build script.
10:50:16 PM: npm ERR! This is probably not a problem with npm. There is likely additional logging output above.
10:50:16 PM: npm ERR! A complete log of this run can be found in:
10:50:16 PM: npm ERR!     /opt/buildhome/.npm/_logs/2021-07-01T21_50_16_940Z-debug.log
10:50:16 PM: ​
10:50:16 PM: ────────────────────────────────────────────────────────────────
10:50:16 PM:   "build.command" failed                                        
10:50:16 PM: ────────────────────────────────────────────────────────────────
10:50:16 PM: ​
10:50:16 PM:   Error message
10:50:16 PM:   Command failed with exit code 1: npm run build
10:50:16 PM: ​
10:50:16 PM:   Error location
10:50:16 PM:   In Build command from Netlify app:
10:50:16 PM:   npm run build
10:50:16 PM: ​
10:50:16 PM:   Resolved config
10:50:16 PM:   build:
10:50:16 PM:     command: npm run build
10:50:16 PM:     commandOrigin: ui
10:50:16 PM:     publish: /opt/build/repo/build
10:50:16 PM:     publishOrigin: ui
10:50:16 PM:   functions:
10:50:16 PM:     '*': {}
10:50:17 PM: Caching artifacts
10:50:17 PM: Started saving node modules
10:50:17 PM: Finished saving node modules
10:50:17 PM: Started saving build plugins
10:50:17 PM: Finished saving build plugins
10:50:17 PM: Started saving pip cache
10:50:17 PM: Finished saving pip cache
10:50:17 PM: Started saving emacs cask dependencies
10:50:17 PM: Finished saving emacs cask dependencies
10:50:17 PM: Started saving maven dependencies
10:50:17 PM: Finished saving maven dependencies
10:50:17 PM: Started saving boot dependencies
10:50:17 PM: Finished saving boot dependencies
10:50:17 PM: Started saving rust rustup cache
10:50:17 PM: Finished saving rust rustup cache
10:50:17 PM: Started saving go dependencies
10:50:17 PM: Finished saving go dependencies
10:50:20 PM: Cached ruby version 2.7.1
10:50:20 PM: Build failed due to a user error: Build script returned non-zero exit code: 2
10:50:20 PM: Creating deploy upload records
10:50:20 PM: Failing build: Failed to build site
10:50:20 PM: Failed during stage 'building site': Build script returned non-zero exit code: 2
10:50:20 PM: Finished processing build request in 2m17.588707952s

Hiya, sorry you are having trouble with your build.

This Support Guide contains a ton of useful debugging tips that can likely help you solve your problem :slight_smile:

We also recommend trying to search the forums with the build error you encountered - it’s likely your question was already asked by someone else!

If you are still having problems, please provide as much information as you can on what you have already tried, what your build settings are, your package.json, etc. Thanks!